#include "ir_send.h"
#include "ir_buff.h"
#include "mcc_generated_files/pin_manager.h"

extern volatile uint8_t time_count;

void subcarrier()
{
    // 26us
    IR_LED_LAT = 1;
    __delay_us(7);
    IR_LED_LAT = 0;
    __delay_us(17);
}

void ir_send()
{
    printf("ir_send---start\r\n");
    uint8_t index, ir_state;
    IR_LED_LAT = 0;
    ir_state = 0;
    index = 0;
    while (index < ir_buff_index) {
        if (ir_buff[index] > 250) {
            break;
        }
        ir_state = !ir_state;
        if (ir_state) {
            time_count = 0;
            while (time_count < ir_buff[index]) {
                subcarrier();
            }
        } else {
            time_count = 0;
            while (time_count < ir_buff[index]) {
                __delay_us(25);
            }
        }
        index++;
    }
    IR_LED_LAT = 0;
    printf("ir_send---end\r\n");
}
